<?
include_once ("include/mailIt.class.php");
include_once ("db/dbElemento.class.php");
include_once ("config/config.mail.inc.php");

set_time_limit(300);

$db= new dbElemento;
	
if (($_POST['email'])){
	
	$nome=$_POST['nome'];
	$email=$_POST['email'];
	$assunto="Envio de Receita";
	$mensagem=$_POST['mensagem'];

	$m= new mailIt;
	
	if ($_FILES["receita"]["error"] == UPLOAD_ERR_OK) {
		$tmp_name = $_FILES["receita"]["tmp_name"];
       	$name = $_FILES["receita"]["name"];
		$m->AddAttachment($tmp_name, $name);
	}
		
	$erro=$m->envia("Encomenda receita", "encomenda@farmaciainternacional.pt",$assunto, $mensagem, $nome, $email );
	if ($erro) 
		$msg="Ocorreu um erro com o envio do email";
	else
		$msg="A sua receita foi enviada. <br>Aguarde o nosso contacto.";
		
	if (is_file($_FILES["receita"]["tmp_name"])) unlink ($_FILES["receita"]["tmp_name"]);

}

//apagar ficheiro

?>
